#pragma once

#include "Mix/Tool/Win32/Core/Graphics/MotionCurve.h"

using namespace System;

namespace Mix{ namespace Tool{ namespace Graphics{

	public ref class MotionCurve
	{
	private:
		Mix::Tool::Win32::Graphics::MotionCurve* impl;

	internal:
		MotionCurve( Mix::Tool::Win32::Graphics::MotionCurve* _impl );
		~MotionCurve( void );

	public:
		property bool Enabled
		{
			bool get( void );
			void set( bool value );
		}

		property System::String^ LinkNodeName
		{
			System::String^ get( void );
		}
	};

}}}
